# classes/phing/tasks/ext/pdepend/PhpDependTask.php

## \PhpDependTask
jump to top

Runs the PHP_Depend software analyzer and metric tool.

Performs static code analysis on a given source base.

Extends from
  \Task
author
  Benjamin Schultz
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.pdepend
since
  2.4.1
version
  $Id: PhpDependTask.php 1038 2011-02-08 12:22:02Z mrook $

### Properties

`\array<string> $_allowedFileExtensions= 'array'`

List of allowed file extensions. Default file extensions are <b>php</b> and <p>php5</b>.

Default value `array` Details

Type
  \array<string>

`\array<PhpDependAnalyzerElement> $_analyzers= 'array'`

Analyzer elements

Default value `array` Details

Type
  \array<PhpDependAnalyzerElement>

`\PhingFile $_configFile= 'null'`

PHP_Depend configuration file

Default value `null` Details

Type
  \PhingFile

`boolean $_debug= 'false'`

Flag for enable/disable debugging

Default value `false` Details

Type
  boolean

`\array<string> $_excludeDirectories= 'array'`

List of exclude directories. Default exclude dirs are <b>.git</b>, <b>.svn</b> and <b>CVS</b>.

Default value `array` Details

Type
  \array<string>

`\array<string> $_excludePackages= 'array'`

List of exclude packages

Default value `array` Details

Type
  \array<string>

`\PhingFile $_file= 'null'`

A php source code filename or directory

Default value `null` Details

Type
  \PhingFile

`\array<FileSet> $_filesets= 'array'`

All fileset objects assigned to this task

Default value `array` Details

Type
  \array<FileSet>

`boolean $_haltonerror= 'false'`

Flag that determines whether to halt on error

Default value `false` Details

Type
  boolean

`\array<PhpDependLoggerElement> $_loggers= 'array'`

Logger elements

Default value `array` Details

Type
  \array<PhpDependLoggerElement>

`\PHP_Depend_TextUI_Runner $_runner= 'null'`

Holds the PHP_Depend runner instance

Default value `null` Details

Type
  \PHP_Depend_TextUI_Runner

`boolean $_supportBadDocumentation= 'false'`

Should PHP_Depend treat <b>+global</b> as a regular project package?

Default value `false` Details

Type
  boolean

`boolean $_withoutAnnotations= 'false'`

Should the parse ignore doc comment annotations?

Default value `false` Details

Type
  boolean

### Methods

`createAnalyzer( ) : \PhpDependAnalyzerElement`
Create object for nested analyzer element
Returns

Type | Description
--- | ---
\PhpDependAnalyzerElement |

`createFileSet( ) : \FileSet`
Nested creator, adds a set of files (nested fileset attribute)
Returns

Type | Description
--- | ---
\FileSet |

`createLogger( ) : \PhpDependLoggerElement`
Create object for nested logger element
Returns

Type | Description
--- | ---
\PhpDependLoggerElement |

`init( ) : void`
Load the necessary environment for running PHP_Depend
Details

throws

`main( ) : void`
Executes PHP_Depend_TextUI_Runner against PhingFile or a FileSet
Details

throws

`setAllowedFileExtensions( string $fileExtensions ) : void`
Sets a list of filename extensions for valid php source code files
Parameters

Name | Type | Description
--- | --- | ---
$fileExtensions | string | List of valid file extensions

`setConfigFile( \PhingFile $configFile ) : void`
Set the configuration file
Parameters

Name | Type | Description
--- | --- | ---
$configFile | \PhingFile | The configuration file

`setDebug( boolean $debug ) : void`
Set debugging On/Off
Parameters

Name | Type | Description
--- | --- | ---
$debug | boolean |

`setExcludeDirectories( string $excludeDirectories ) : void`
Sets a list of exclude directories
Parameters

Name | Type | Description
--- | --- | ---
$excludeDirectories | string | List of exclude directories

`setExcludePackages( string $excludePackages ) : void`
Sets a list of exclude packages
Parameters

Name | Type | Description
--- | --- | ---
$excludePackages | string | Exclude packages

`setFile( \PhingFile $file ) : void`
Set the input source file or directory
Parameters

Name | Type | Description
--- | --- | ---
$file | \PhingFile | The input source file or directory

`setHaltonerror( boolean $haltonerror ) : void`
Set halt on error
Parameters

Name | Type | Description
--- | --- | ---
$haltonerror | boolean |

`setSupportBadDocumentation( boolean $supportBadDocumentation ) : void`
Should PHP_Depend support projects with a bad documentation. If this option is set to true, PHP_Depend will treat the default package +global as a regular project package.
Parameters

Name | Type | Description
--- | --- | ---
$supportBadDocumentation | boolean |

`setWithoutAnnotations( boolean $withoutAnnotations ) : void`
Should the parser ignore doc comment annotations?
Parameters

Name | Type | Description
--- | --- | ---
$withoutAnnotations | boolean |

`validateAnalyzers( ) : void`
Validates the available analyzers
Details

throws

`validateLoggers( ) : void`
Validates the available loggers
Details

throws

Documentation was generated by DocBlox 0.13.1.